| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/pooledscfclass.h File Reference

Macros to create SCF classes that support pooling. More...

`#include "csutil/scf.h"`
`#include "csutil/custom_new_disable.h"`
`#include "csutil/custom_new_enable.h"`

Go to the source code of this file.

## Classes
class | scfImplementationPooled< Super >
| Derive an SCF implementation from this class to have it pooled. More...
class | scfImplementationPooled< Super >::Pool

## Detailed Description

Macros to create SCF classes that support pooling.

Definition in file pooledscfclass.h.